Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000616Frama-CKernelpublic2010-10-25 14:552014-02-12 17:00
Reportervmoyalam 
Assigned Tomonate 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Boron-20100401 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000616: Comments parsing
DescriptionWhen comments from the code are parsed by Frama-C and stored into Cabshelper.commentsGA, it seems that the first character from the comment disappears.
In the following example, we would find "est1" and "est2" instead of "test1" and "test2" :

//test1
/*test2*/
extern void test();
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004836)
monate (reporter)
2014-02-12 17:00

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2010-10-25 14:55 vmoyalam New Issue
2010-10-26 08:50 virgile Assigned To => virgile
2010-10-26 08:50 virgile Status new => acknowledged
2011-02-10 20:13 svn Checkin
2011-02-10 20:13 svn Status acknowledged => resolved
2011-02-10 20:13 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 17:00 monate Note Added: 0004836
2014-02-12 17:00 monate Assigned To virgile => monate
2014-02-12 17:00 monate Status closed => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker